Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Integer_Overflow_Detected Class Reference

`#include <safeint.h>`

Inheritance diagram for Botan::Integer_Overflow_Detected:

## Public Member Functions
| Integer_Overflow_Detected (const std::string &file, int line)
const char * | what () const BOTAN_NOEXCEPT override

## Detailed Description

Definition at line 16 of file safeint.h.

## Constructor & Destructor Documentation

Botan::Integer_Overflow_Detected::Integer_Overflow_Detected | ( | const std::string & | file,
|  | int | line
| ) |  |
| inline

Definition at line 19 of file safeint.h.

19 :
20 Exception("Integer overflow detected at " + file + ":" + std::to_string(line))
21 {}
Botan::Exception::Exception
Exception(const std::string &msg)
Definition: exceptn.h:24
Botan::ASN1::to_string
std::string to_string(const BER_Object &obj)
Definition: asn1_obj.cpp:47

## Member Function Documentation

const char* Botan::Exception::what | ( |  | ) | const
| inline override inherited

Definition at line 26 of file exceptn.h.

Referenced by botan_cipher_update(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), Botan::X509_Object::do_decode(), and Botan::X509::load_key().

26 { return m_msg.c_str(); }

The documentation for this class was generated from the following file:

- src/lib/utils/safeint.h